UR::Role::Instance(3pm)

NAME
UR::Role::Instance - Represents a role composed with a class with a set of params

DESCRIPTION
When a class composes one or more roles, the role names given in the class description are converted to UR::Role::Instance objects as the class is constructed. These are returned by the class' roles() method.

  Methods

role_name()
    Returns the name of the role

class_name()
    Returns the name of the class composing the role

role_params()
    Returns a hashref of role params used when the class composed the role

SEE ALSO
UR::Role, UR::Role::Prototype